# do not build debug packages for now
%global debug_package %{nil}

%global version 2.3.0
%global revision 16.92eb175.2.3

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-16.92eb175.2.3.tar.gz
Patch0:		set_downstream_images.patch
Patch1:		hide_install_uninstall_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%prep
%setup -c
%patch0 -p1
%patch1 -p1

%build
go version
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 19 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-16.92eb175.2.3
- Rebase to mcg-operator-2.3.0-16.92eb175.2.3

* Wed Jul 15 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-15.416d6de.2.3
- Rebase to mcg-operator-2.3.0-15.416d6de.2.3

* Wed Jul 08 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-14.bfab20d.2.3
- Rebase to mcg-operator-2.3.0-14.bfab20d.2.3

* Tue Jul 07 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-13.a050a74.2.3
- Rebase to mcg-operator-2.3.0-13.a050a74.2.3

* Mon Jun 29 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-12.caa7c5d.2.3
- Rebase to mcg-operator-2.3.0-12.caa7c5d.2.3

* Thu Jun 25 2020 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.3.0-11.1643c19.2.3
- Rebase to mcg-operator-2.3.0-11.1643c19.2.3

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
